Common files for PHP Geocoder


Build Status Latest Stable Version Total Downloads Monthly Downloads Code Coverage Quality Score Software License



Just some months before the release of 4.0 of willdurand/geocoder we changed the repository to https://github.com/geocoder-php/php-common from https://github.com/geocoder-php/Geocoder. The new repository will only contain classes and interfaces shared between multiple providers. The original repository is still used for issues and pull requests.

The new repository architecture allows us to use a git subtree split from geocoder-php/Geocoder to geocoder-php/php-common and to each provider.

Versions before 4.0 willdurand/geocoder will still work as usual, but with the new repository.


In 99% of the cases you do not want to install this package directly. You are more likely to install one provider. Have a look at the documentation to see the different providers.

composer require willdurand/geocoder


Contributions are very welcome! Send a pull request to the main repository or report any issues you find on the issue tracker.